Upgrade Your Internet Browser to Avoid a Potential Security Breach

10/28/15

Upgrade Your Internet Browser to Avoid a Potential Security Breach While Also Maximizing Your Member Benefits—If You Need Help, We Are Standing by to Assist You

To protect our members, the State Bar of Michigan recently turned off support for SSLv3 on the member area of MichBar.org. We took this step to address the not-so-cute "Poodle" vulnerability, which potentially allows an attacker to hijack and decrypt information passing between non-protected web browsers and the servers they are trying to access. Many older browsers are vulnerable to an attack. If you are trying to connect to our web server through an older browser that uses SSLv3, you will not be able to access the member area or maximize many benefits of membership such as Casemaker, the expanded member directory profile, SBM Connect, the free downloadable Practice Management Resource Center Library, the Mentoring Center, the Career Center, or HeinOnline (Michigan Bar Journal archives).

Please test now to see if you are able to access the member area. If your web browser does not bring up the login page, you are using a vulnerable browser. The easiest fix is to update your web browser and/or download another browser. You will find a detailed list of the most common browsers below, and information about what you will need to do if your browser needs an update. If you are not sure what version browser you are using, try accessing "Help" and "About . . ." or the "hamburger" button from the menu bar within your browser. If you need assistance, please contact our Membership Services team at (888) 726-3678.

Internet Explorer

Mozilla Firefox

Google Chrome

Apple Safari (Mac version)

Apple Safari (Mobile version)

  • iOS 4 and below are not supported.
  • iOS 5 and above fully supported.

Apple Safari (Windows version)

  • Not supported.

###